'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var shared = require('@plugin-light/shared');

function removeVueDirectiveVitePlugin(options) {
    const { list = [] } = options || {};
    return {
        name: 'remove-vue-directive',
        enforce: 'pre',
        transform(source, id) {
            if (!id.endsWith('.vue')) {
                return {
                    code: source,
                    map: null,
                };
            }
            return {
                code: shared.replaceDirective(source, list),
                map: null,
            };
        },
    };
}

exports.removeVueDirectiveVitePlugin = removeVueDirectiveVitePlugin;
